<?php
require_once 'functions2.php';

ob_start();
 
var_dump('----------------------' . date('d.m.Y H:i:s') . '----------------');
 
// вытаскиваем данные запроса
$input = file_get_contents('php://input');
$input_data = json_decode($input, true);
 
var_dump($input_data);
sleep(rand(1, 5)); 
if($input_data['event_action'] == 'message') {
     if ($input_data['event_data']['message']['body'] === '1') {
        $phoneNumber = $input_data['event_data']['message']['from'];
        $messageText ='*¡Genial!* ¿Podría proporcionarnos más detalles sobre el cable que tiene?
        *Calculadora de precios*
        mail.recycling-solution.es/price/' ;
        sendMessage($phoneNumber, $messageText);
    } 
    elseif ($input_data['event_data']['message']['body'] === '2') {
        // Код для обработки отсутствия интереса
    }
    // Использование регулярного выражения для поиска "LME:" за которым следуют числа
    elseif (preg_match('/LME:(\d+)/', $input_data['event_data']['message']['body'], $matches) && $input_data['event_data']['message']['from'] == '37069925572@c.us') {
        $value = $matches[1]; // Извлеченное числовое значение
    
        lme($value);
   
    }
    else {
    
    responder($input_data['event_data']['message']['from'],$input_data['event_data']['message']['body']);
    
    }
}

 
if($input_data['event_action'] == 'ack') {
 
    //@TODO обрабатываем получение или доставку
 
    if($input_data['event_data']['message']['ack'] == 2) {
        //@TODO доставка
    }
    if($input_data['event_data']['message']['ack'] == 3) {
        //@TODO прочитано
    }
}
 
//сохраняем лог
$fo = fopen('webhook.log', 'a');
fwrite($fo, ob_get_clean());
fclose($fo);
 
//формируем и выводим ответ
$answer_data = [
    'id' => $input_data['id'],
    'result' => 'OK'
];
 
// Логирование полученных данных
logWebhookEvent($input_data);
 
echo json_encode($answer_data);
?>